# TPL Development Helper
### Entwicklungswerkzeug zur Kontrolle schwer zugnglicher Shopinhalte

Diese Tool soll bei tglichen Entwicklungsaufgaben im OXID eShop helfen, die (systembedingt) vom Shopsystem erschwert werden.

* Mailversand (bers Shopframework) bers Shopframework wird blockiert __oder__
* Mails (bers Shopframework) werden an alternative Mailadresse umgeleitet
    (Das Tool setzt direkt an der oxemail::_sendMail()-Methode an und kann damit __jeden__ Mailversand kontrollieren, der bers Framework luft. Man muss nicht X verschiedene Module berwachen und hat auch Kontrolle ber Mailerweiterungen, die keinen Stage-Einsatz vorsehen.)
* unterbindet das Lschen des Warenkorbs nach Bestellabschluss
* Thankyou-Seite ist auch ohne Bestellabschluss aufrufbar (unter Angabe der Bestellnummer auch fr eine bestimmte Bestellung)
* Bestellbesttigungsmails und sind im Browser darstellbar (unter Angabe der Bestellnummer auch fr eine bestimmte Bestellung)

__Da hiermit gezielt Mails der Shopbestellungen angezeigt werden knnen, ist das Modul mit uerster Vorsicht zu verwenden. Die Hrden fr die Anzeige der Mails sind daher absichtlich sehr hoch gesetzt. Vor der Verwendung sind Einstellungen zu ndern. Denken Sie unbedingt daran, diese Einstellungen im Anschluss wieder zurckzusetzen. Sonst sind Kunden- und Bestelldaten frei abrufbar. Wir bernehmen fr daraus resultierenden Schden keine Haftung.__

Um unser Tool verwenden zu knnen, folgen Sie bitte diesen Schritten:

1. Produktivmodus entfernen

   ![Adminbereich -> Stammdaten -> Grundeinstellungen -> Haken bei Produktivmodus entfernen](step1.jpg "Produktivmodus entfernen")

2. Modul aktivieren

   ![Adminbereich -> Erweiterungen -> Module -> TPL Development Tool -> Aktivieren](step2.jpg "Modul aktivieren")
   
3. In den Einstellungen die gewnschten Funktionen freischalten

   ![Adminbereich -> Erweiterungen -> Module -> TPL Development Tool -> Einstell.](step3.jpg "gewnschte Funktionen freischalten")
   
4. ber die Links im Tab Stamm knnen Sie die betreffenden Seiten aufrufen. Vor der Darstellung wird ein Benutzername und Passwort abgefragt. Hierfr verwenden Sie die Anmeldedaten des Abminbereichs Ihres Shops.

5. An den E-Mail- und Thankyou-Links gibt es einen leeren Parameter, den Sie bei Bedarf mit einer Bestellnummer fllen knnen. Dann wird statt der letzten Bestellung ganz gezielt eine andere Bestellung zur Darstellung verwendet.

6. Beachten Sie unbedingt, dass Sie nach der Verwendung unbedingt das Modul wieder deaktivieren und den Produktivmodus wieder anschalten.

Bercksichtigen Sie bei der Darstellung der E-Mails bitte, dass die Mailprogramme diese mglicherweise anders darstellen, als der Browser dies tut. Daher kann die Darstellung im Browser nur ein Anhaltspunkt sein.